Package org.ggf.drmaa

## Class ExitTimeoutException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.ggf.drmaa.DrmaaException
      - - org.ggf.drmaa.ExitTimeoutException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class ExitTimeoutException
      extends DrmaaException

  A call to Session.synchronize() or Session.wait() has timed out.
  Since:
    0.4.2
  Version:
    1.0
  See Also:
    `Session.wait(String,long)`, `Session.synchronize(List,long,boolean)`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExitTimeoutException()` | Creates a new instance of `ExitTimeoutException` without detail message.
    `ExitTimeoutException​(java.lang.String msg)` | Constructs an instance of `ExitTimeoutException` with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ExitTimeoutException

          public ExitTimeoutException()

      Creates a new instance of `ExitTimeoutException` without detail message.

    - #### ExitTimeoutException

          public ExitTimeoutException​(java.lang.String msg)

      Constructs an instance of `ExitTimeoutException` with the specified detail message.
      Parameters:
        `msg` - the detail message.